#!/usr/bin/env python

"""
Directory output context.

Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.output.common import Output
from moinformat.utils.directory import Directory

class DirectoryOutput(Output, Directory):

    "A directory output context."

    name = "directory"

    def __init__(self, parameters=None):

        "Initialise the context with the given 'parameters'."

        if not parameters or not parameters.has_key("filename"):
            raise ValueError, parameters

        Output.__init__(self, parameters)
        Directory.__init__(self, parameters["filename"])

output = DirectoryOutput

# vim: tabstop=4 expandtab shiftwidth=4
